VERSION 5.00
Begin VB.Form frmTimestampPropPage 
   Caption         =   "Timestamping"
   ClientHeight    =   2640
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5910
   LinkTopic       =   "Form1"
   ScaleHeight     =   176
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   394
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      BackColor       =   &H80000004&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   2175
      Left            =   90
      ScaleHeight     =   2175
      ScaleWidth      =   5385
      TabIndex        =   1
      Top             =   90
      Width           =   5385
      Begin VB.ComboBox cmbUsrField 
         Height          =   315
         Left            =   2100
         TabIndex        =   4
         Text            =   "Combo3"
         Top             =   1305
         Width           =   2000
      End
      Begin VB.ComboBox cmbCreField 
         Height          =   315
         Left            =   2100
         TabIndex        =   2
         Text            =   "Combo1"
         Top             =   403
         Width           =   2000
      End
      Begin VB.ComboBox cmbModField 
         Height          =   315
         Left            =   2100
         TabIndex        =   3
         Text            =   "Combo2"
         Top             =   855
         Width           =   2000
      End
      Begin VB.Label Label3 
         Caption         =   "Username field:"
         Height          =   195
         Left            =   675
         TabIndex        =   6
         Top             =   1350
         Width           =   1845
      End
      Begin VB.Label Label1 
         Caption         =   "Date Created field:"
         Height          =   200
         Left            =   675
         TabIndex        =   0
         Top             =   460
         Width           =   2505
      End
      Begin VB.Label Label2 
         Caption         =   "Last Modified field:"
         Height          =   195
         Left            =   675
         TabIndex        =   5
         Top             =   915
         Width           =   2490
      End
   End
End
Attribute VB_Name = "frmTimestampPropPage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' Copyright 1995-2004 ESRI

' All rights reserved under the copyright laws of the United States.

' You may freely redistribute and use this sample code, with or without modification.

' Disclaimer: THE SAMPLE CODE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED 
' WARRANTIES, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
' FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ESRI OR 
' CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, 
' OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
' SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
' INTERRUPTION) SUSTAINED BY YOU OR A THIRD PARTY, HOWEVER CAUSED AND ON ANY 
' THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT ARISING IN ANY 
' WAY OUT OF THE USE OF THIS SAMPLE CODE, EVEN IF ADVISED OF THE POSSIBILITY OF 
' SUCH DAMAGE.

' For additional information contact: Environmental Systems Research Institute, Inc.

' Attn: Contracts Dept.

' 380 New York Street

' Redlands, California, U.S.A. 92373 

' Email: contracts@esri.com

Option Explicit

Private m_pPageSite As IComPropertyPageSite ' Used to enable the Apply button
Private m_bIsDirty As Boolean ' Indicates if the form has been changed

Public Property Let PageSite(ByVal RHS As esriFramework.IComPropertyPageSite)
  Set m_pPageSite = RHS
End Property


Public Property Get IsDirty() As Boolean
  IsDirty = m_bIsDirty
End Property

Public Property Let IsDirty(ByVal Dirty As Boolean)
  m_bIsDirty = Dirty
End Property

Private Sub cmbCreField_Change()
  ' Enable the Applies button
  If (Not m_pPageSite Is Nothing) And Me.Visible Then m_pPageSite.PageChanged
  m_bIsDirty = True
End Sub

Private Sub cmbCreField_Click()
  ' Enable the Applies button
  If (Not m_pPageSite Is Nothing) Then m_pPageSite.PageChanged
  m_bIsDirty = True
End Sub

Private Sub cmbModField_Change()
  ' Enable the Applies button
  If (Not m_pPageSite Is Nothing) And Me.Visible Then m_pPageSite.PageChanged
  m_bIsDirty = True
End Sub

Private Sub cmbModField_Click()
  ' Enable the Applies button
  If (Not m_pPageSite Is Nothing) Then m_pPageSite.PageChanged
  m_bIsDirty = True
End Sub

Private Sub cmbUsrField_Change()
  ' Enable the Applies button
  If (Not m_pPageSite Is Nothing) And Me.Visible Then m_pPageSite.PageChanged
  m_bIsDirty = True
End Sub


Private Sub cmbUsrField_Click()
  ' Enable the Applies button
  If (Not m_pPageSite Is Nothing) Then m_pPageSite.PageChanged
  m_bIsDirty = True
End Sub

Private Sub Form_Load()
  ' Reset the IsDirty flag when the form is loaded
  m_bIsDirty = False
End Sub

